# Developer Zone

- [Design](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications.md)
- [IN APIs from PBMS](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/persistent-objects.md)
- [create\_benefit\_program\_configuration](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/persistent-objects/create_benefit_program_configuration.md)
- [create\_disbursement\_envelope](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/persistent-objects/create_disbursement_envelope.md)
- [cancel\_disbursement\_envelope](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/persistent-objects/cancel_disbursement_envelope.md)
- [create\_disbursements](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/persistent-objects/disbursement.md)
- [cancel\_disbursements](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/persistent-objects/cancel_disbursements.md)
- [get\_disbursement\_envelope\_status](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/persistent-objects/get_disbursement_envelope_status.md)
- [get\_disbursement\_status](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/persistent-objects/get_disbursement_status.md)
- [OUT APIs to Mapper](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/out-apis-to-mapper.md)
- [resolve](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/out-apis-to-mapper/resolve.md)
- [OUT APIs to Bank](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/out-apis-to-bank.md)
- [check\_funds\_with\_bank](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/out-apis-to-bank/check_funds_with_bank.md): Triggered by Batch job
- [block\_funds\_with\_bank](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/out-apis-to-bank/block_funds_with_bank.md): Triggered by Batch job
- [disburse\_funds\_from\_bank](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/out-apis-to-bank/create_disbursements.md): Triggered by Batch job
- [IN APIs from Bank](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/in-apis-from-bank.md)
- [upload\_mt940](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/in-apis-from-bank/update_status_of_disbursements.md)
- [Helper Tables](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/helper-tables.md)
- [benefit\_program\_configuration](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/helper-tables/benefit_program.md)
- [Configuration parameters](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/config-attributes.md)
- [Bank Connectors](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/interfaces.md)
- [Physical Organization](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/physical-organization.md)
- [Example Bank](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/example-bank.md): openg2p-g2p-bridge-example-bank (bank simulator)
- [example-bank-models](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/example-bank/openg2p-g2p-bridge-example-bank-models.md): openg2p-g2p-bridge-example-bank-models
- [example-bank-api](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/example-bank/openg2p-g2p-bridge-example-bank-api.md): openg2p-g2p-bridge-example-bank-api
- [example-bank-celery](https://docs.openg2p.org/products/g2p-bridge/development/design-specifications/example-bank/openg2p-g2p-bridge-example-bank-celery.md): openg2p-g2p-bridge-example-bank-celery
- [Testing](https://docs.openg2p.org/products/g2p-bridge/development/testing.md)
- [Unit Testing](https://docs.openg2p.org/products/g2p-bridge/development/testing/unit-testing.md)
- [Functional Testing](https://docs.openg2p.org/products/g2p-bridge/development/testing/functional-testing.md)
- [Performance Testing](https://docs.openg2p.org/products/g2p-bridge/development/testing/performance-testing.md)
- [Repositories](https://docs.openg2p.org/products/g2p-bridge/development/repositories.md)
- [Developer Install](https://docs.openg2p.org/products/g2p-bridge/development/developer-install.md)
- [G2P Bridge](https://docs.openg2p.org/products/g2p-bridge/development/developer-install/installing-openg2p-bridge-on-linux.md): Installation of G2P Bridge on a developer machine
- [Example Bank](https://docs.openg2p.org/products/g2p-bridge/development/developer-install/example-bank.md): Installation of Example Bank Simulator on a developer machine
- [API Reference](https://docs.openg2p.org/products/g2p-bridge/development/api-reference.md)
- [Technology Stack](https://docs.openg2p.org/products/g2p-bridge/development/technology-stack.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openg2p.org/products/g2p-bridge/development.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
